Import of pkgsrc-2014Q1
This commit is contained in:
4
www/cppcms/DESCR
Normal file
4
www/cppcms/DESCR
Normal file
@@ -0,0 +1,4 @@
|
||||
CppCMS is a free high performance web development framework.
|
||||
It uses modern C++ and a design borrowing heavily from frameworks
|
||||
like Django or Java Servlets to handle very high load levels while
|
||||
minimizing CPU and memory use.
|
||||
42
www/cppcms/Makefile
Normal file
42
www/cppcms/Makefile
Normal file
@@ -0,0 +1,42 @@
|
||||
# $NetBSD: Makefile,v 1.6 2014/02/12 23:18:44 tron Exp $
|
||||
|
||||
DISTNAME= cppcms-1.0.4
|
||||
PKGREVISION= 3
|
||||
CATEGORIES= www devel
|
||||
MASTER_SITES= ${MASTER_SITE_SOURCEFORGE:=cppcms/}
|
||||
EXTRACT_SUFX= .tar.bz2
|
||||
|
||||
MAINTAINER= joerg@NetBSD.org
|
||||
HOMEPAGE= http://cppcms.com/
|
||||
COMMENT= High performance C++ web development framework
|
||||
LICENSE= gnu-lgpl-v3
|
||||
|
||||
USE_LANGUAGES= c c++
|
||||
USE_CMAKE= yes
|
||||
|
||||
CMAKE_ARGS+= -DPYTHON=${PYTHONBIN} -DDISABLE_GCRYPT=yes
|
||||
|
||||
.include "../../mk/compiler.mk"
|
||||
.if !empty(PKGSRC_COMPILER:Mclang)
|
||||
CXXFLAGS+= -std=c++11
|
||||
.endif
|
||||
|
||||
CXXFLAGS.Cygwin+= -std=gnu++11
|
||||
|
||||
LDFLAGS+= ${EXPORT_SYMBOLS_LDFLAGS}
|
||||
|
||||
TEST_TARGET= test
|
||||
TEST_ENV+= LD_LIBRARY_PATH=${WRKSRC}:${WRKSRC}/booster
|
||||
|
||||
REPLACE_PYTHON= bin/cppcms_tmpl_cc
|
||||
|
||||
pre-install:
|
||||
rm -f ${WRKSRC}/cppcms/string_key.h.orig
|
||||
|
||||
.include "../../converters/libiconv/buildlink3.mk"
|
||||
.include "../../devel/pcre/buildlink3.mk"
|
||||
.include "../../devel/zlib/buildlink3.mk"
|
||||
.include "../../security/openssl/buildlink3.mk"
|
||||
.include "../../textproc/icu/buildlink3.mk"
|
||||
.include "../../lang/python/application.mk"
|
||||
.include "../../mk/bsd.pkg.mk"
|
||||
145
www/cppcms/PLIST
Normal file
145
www/cppcms/PLIST
Normal file
@@ -0,0 +1,145 @@
|
||||
@comment $NetBSD: PLIST,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
bin/cppcms_config_find_param
|
||||
bin/cppcms_make_key
|
||||
bin/cppcms_run
|
||||
bin/cppcms_scale
|
||||
bin/cppcms_tmpl_cc
|
||||
include/booster/aio/acceptor.h
|
||||
include/booster/aio/aio_category.h
|
||||
include/booster/aio/aio_config.h
|
||||
include/booster/aio/basic_io_device.h
|
||||
include/booster/aio/basic_socket.h
|
||||
include/booster/aio/buffer.h
|
||||
include/booster/aio/deadline_timer.h
|
||||
include/booster/aio/endpoint.h
|
||||
include/booster/aio/io_service.h
|
||||
include/booster/aio/reactor.h
|
||||
include/booster/aio/socket.h
|
||||
include/booster/aio/stream_socket.h
|
||||
include/booster/aio/types.h
|
||||
include/booster/assert.h
|
||||
include/booster/atomic_counter.h
|
||||
include/booster/backtrace.h
|
||||
include/booster/bad_weak_ptr.h
|
||||
include/booster/build_config.h
|
||||
include/booster/callback.h
|
||||
include/booster/checked_delete.h
|
||||
include/booster/clone_ptr.h
|
||||
include/booster/config.h
|
||||
include/booster/copy_ptr.h
|
||||
include/booster/cstdint.h
|
||||
include/booster/ctime.h
|
||||
include/booster/enable_shared_from_this.h
|
||||
include/booster/function.h
|
||||
include/booster/hold_ptr.h
|
||||
include/booster/intrusive_ptr.h
|
||||
include/booster/iterator/iterator_facade.h
|
||||
include/booster/locale.h
|
||||
include/booster/locale/boundary.h
|
||||
include/booster/locale/boundary/boundary_point.h
|
||||
include/booster/locale/boundary/facets.h
|
||||
include/booster/locale/boundary/index.h
|
||||
include/booster/locale/boundary/segment.h
|
||||
include/booster/locale/boundary/types.h
|
||||
include/booster/locale/collator.h
|
||||
include/booster/locale/config.h
|
||||
include/booster/locale/conversion.h
|
||||
include/booster/locale/date_time.h
|
||||
include/booster/locale/date_time_facet.h
|
||||
include/booster/locale/encoding.h
|
||||
include/booster/locale/encoding_errors.h
|
||||
include/booster/locale/encoding_utf.h
|
||||
include/booster/locale/format.h
|
||||
include/booster/locale/formatting.h
|
||||
include/booster/locale/generator.h
|
||||
include/booster/locale/gnu_gettext.h
|
||||
include/booster/locale/hold_ptr.h
|
||||
include/booster/locale/info.h
|
||||
include/booster/locale/localization_backend.h
|
||||
include/booster/locale/message.h
|
||||
include/booster/locale/time_zone.h
|
||||
include/booster/locale/utf.h
|
||||
include/booster/locale/util.h
|
||||
include/booster/log.h
|
||||
include/booster/noncopyable.h
|
||||
include/booster/nowide/convert.h
|
||||
include/booster/nowide/cstdio.h
|
||||
include/booster/nowide/fstream.h
|
||||
include/booster/perl_regex.h
|
||||
include/booster/posix_time.h
|
||||
include/booster/refcounted.h
|
||||
include/booster/regex.h
|
||||
include/booster/regex_match.h
|
||||
include/booster/shared_object.h
|
||||
include/booster/shared_ptr.h
|
||||
include/booster/smart_ptr/operator_bool.h
|
||||
include/booster/smart_ptr/shared_count.h
|
||||
include/booster/smart_ptr/sp_convertible.h
|
||||
include/booster/smart_ptr/sp_counted_base.h
|
||||
include/booster/smart_ptr/sp_counted_impl.h
|
||||
include/booster/smart_ptr/sp_typeinfo.h
|
||||
include/booster/streambuf.h
|
||||
include/booster/system_error.h
|
||||
include/booster/thread.h
|
||||
include/booster/traits/enable_if.h
|
||||
include/booster/traits/is_base_of.h
|
||||
include/booster/weak_ptr.h
|
||||
include/cppcms/application.h
|
||||
include/cppcms/applications_pool.h
|
||||
include/cppcms/archive_traits.h
|
||||
include/cppcms/base64.h
|
||||
include/cppcms/base_cache_fwd.h
|
||||
include/cppcms/base_content.h
|
||||
include/cppcms/base_view.h
|
||||
include/cppcms/cache_interface.h
|
||||
include/cppcms/cache_pool.h
|
||||
include/cppcms/config.h
|
||||
include/cppcms/copy_filter.h
|
||||
include/cppcms/cppcms_error.h
|
||||
include/cppcms/crypto.h
|
||||
include/cppcms/cstdint.h
|
||||
include/cppcms/defs.h
|
||||
include/cppcms/encoding.h
|
||||
include/cppcms/filters.h
|
||||
include/cppcms/form.h
|
||||
include/cppcms/forwarder.h
|
||||
include/cppcms/http_content_type.h
|
||||
include/cppcms/http_context.h
|
||||
include/cppcms/http_cookie.h
|
||||
include/cppcms/http_file.h
|
||||
include/cppcms/http_request.h
|
||||
include/cppcms/http_response.h
|
||||
include/cppcms/json.h
|
||||
include/cppcms/locale_fwd.h
|
||||
include/cppcms/localization.h
|
||||
include/cppcms/mem_bind.h
|
||||
include/cppcms/mount_point.h
|
||||
include/cppcms/rpc_json.h
|
||||
include/cppcms/serialization.h
|
||||
include/cppcms/serialization_classes.h
|
||||
include/cppcms/service.h
|
||||
include/cppcms/session_api.h
|
||||
include/cppcms/session_cookies.h
|
||||
include/cppcms/session_dual.h
|
||||
include/cppcms/session_interface.h
|
||||
include/cppcms/session_pool.h
|
||||
include/cppcms/session_sid.h
|
||||
include/cppcms/session_storage.h
|
||||
include/cppcms/steal_buf.h
|
||||
include/cppcms/string_key.h
|
||||
include/cppcms/thread_pool.h
|
||||
include/cppcms/urandom.h
|
||||
include/cppcms/url_dispatcher.h
|
||||
include/cppcms/url_mapper.h
|
||||
include/cppcms/util.h
|
||||
include/cppcms/view.h
|
||||
include/cppcms/views_pool.h
|
||||
include/cppcms/xss.h
|
||||
lib/libbooster.a
|
||||
lib/libbooster.so
|
||||
lib/libbooster.so.0
|
||||
lib/libbooster.so.0.0.2
|
||||
lib/libcppcms.a
|
||||
lib/libcppcms.so
|
||||
lib/libcppcms.so.1
|
||||
lib/libcppcms.so.${PKGVERSION}
|
||||
17
www/cppcms/distinfo
Normal file
17
www/cppcms/distinfo
Normal file
@@ -0,0 +1,17 @@
|
||||
$NetBSD: distinfo,v 1.3 2013/10/04 18:27:48 joerg Exp $
|
||||
|
||||
SHA1 (cppcms-1.0.4.tar.bz2) = 470a3eedbd568b457fe6516b78a9c1f464cdc276
|
||||
RMD160 (cppcms-1.0.4.tar.bz2) = 6efa445f8da113ba870010c3a770592587e4198f
|
||||
Size (cppcms-1.0.4.tar.bz2) = 2331505 bytes
|
||||
SHA1 (patch-bin_cppcms__run) = 2b9033c82fab2c9aa11acbb200e9a44f9c6364cb
|
||||
SHA1 (patch-booster_CMakeLists.txt) = 25bfe48385f06f88a2edb10879da4ed53fdd2297
|
||||
SHA1 (patch-booster_lib_locale_test_test__std__formatting.cpp) = 62564e7e8bfcb90cd19195f5ce2296b8b03c02d6
|
||||
SHA1 (patch-booster_lib_system_src_posix__error.cpp) = 8f1e050ffb1b37b664893864d29508984e82e42c
|
||||
SHA1 (patch-cppcms__boost_cppcms__boost_detail_container__fwd.hpp) = 1de84e42f0b0dfbb9b8c9013c1c515727a917998
|
||||
SHA1 (patch-cppcms__boost_cppcms__boost_interprocess_containers_container_container__fwd.hpp) = 77de309397fc180556ac80031fffe70a0aa24e86
|
||||
SHA1 (patch-cppcms__boost_cppcms__boost_interprocess_detail_managed__memory__impl.hpp) = 434d6c50cb3a8f5a1ae00d83e63341f6c24dbfcd
|
||||
SHA1 (patch-cppcms__boost_cppcms__boost_interprocess_interprocess__fwd.hpp) = 2a17e6659095d5406f63743479aab8f259086ffd
|
||||
SHA1 (patch-cppcms_string__key.h) = 5532ffc158c6c8d7766a69a7600eea351382a7f4
|
||||
SHA1 (patch-private_posix__util.h) = 87b7af8f1aee64f74b002a837f3ae4a456d116d8
|
||||
SHA1 (patch-src_json.cpp) = 4ef9bc4d65c493046b3847a85892ab65cab74add
|
||||
SHA1 (patch-src_util.cpp) = a27f4b164555d68aad950460ffd66fc9329ced62
|
||||
319
www/cppcms/patches/patch-bin_cppcms__run
Normal file
319
www/cppcms/patches/patch-bin_cppcms__run
Normal file
@@ -0,0 +1,319 @@
|
||||
$NetBSD: patch-bin_cppcms__run,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- bin/cppcms_run.orig 2013-01-02 22:26:03.000000000 +0000
|
||||
+++ bin/cppcms_run
|
||||
@@ -1,4 +1,4 @@
|
||||
-#!/usr/bin/env bash
|
||||
+#!/bin/sh
|
||||
|
||||
############################################################################
|
||||
#
|
||||
@@ -8,8 +8,7 @@
|
||||
#
|
||||
############################################################################
|
||||
|
||||
-locate_server()
|
||||
-{
|
||||
+locate_server() {
|
||||
NAME=$1
|
||||
if [ "$WEB_SERVER" != "" ] ; then
|
||||
return
|
||||
@@ -29,7 +28,7 @@ locate_server()
|
||||
return
|
||||
fi
|
||||
done
|
||||
- if [ "$2" == "exit" ] ; then
|
||||
+ if [ "$2" = "exit" ] ; then
|
||||
echo "Failed to locate server $NAME, exitting"
|
||||
echo "Try providing PATH valiable"
|
||||
exit 1
|
||||
@@ -39,7 +38,7 @@ locate_server()
|
||||
lighttpd() {
|
||||
|
||||
locate_server lighttpd $1
|
||||
-[ "$WEB_SERVER" == "" ] && return
|
||||
+[ "$WEB_SERVER" = "" ] && return
|
||||
|
||||
CONFIG_FILE=$DIR/lighty.conf
|
||||
|
||||
@@ -47,7 +46,7 @@ case $API in
|
||||
fastcgi) ;;
|
||||
scgi) ;;
|
||||
http) if [ "$SOCKET" != "" ]; then
|
||||
- if [ "$1" == "exit" ]; then
|
||||
+ if [ "$1" = "exit" ]; then
|
||||
echo "http is supported over TCP/IP only" ; exit 1
|
||||
else
|
||||
WEB_SERVER=""
|
||||
@@ -57,7 +56,7 @@ case $API in
|
||||
|
||||
;;
|
||||
*)
|
||||
- if [ "$1" == "exit" ]; then
|
||||
+ if [ "$1" = "exit" ]; then
|
||||
echo "Mod $API is not supported by lightppd" ; exit 1
|
||||
else
|
||||
WEB_SERVER=""
|
||||
@@ -66,7 +65,7 @@ case $API in
|
||||
;;
|
||||
esac
|
||||
|
||||
-if [ "$API" == "http" ]; then
|
||||
+if [ "$API" = "http" ]; then
|
||||
LIGHTTPD_MODULE=proxy
|
||||
else
|
||||
LIGHTTPD_MODULE=$API
|
||||
@@ -175,12 +174,12 @@ nginx()
|
||||
|
||||
locate_server nginx $1
|
||||
|
||||
-[ "$WEB_SERVER" == "" ] && return
|
||||
+[ "$WEB_SERVER" = "" ] && return
|
||||
|
||||
case $API in
|
||||
fastcgi) ;;
|
||||
scgi) if [ "$HTTP_HEADERS" != "true" ] ; then
|
||||
- if [ "$1" == "exit" ]; then
|
||||
+ if [ "$1" = "exit" ]; then
|
||||
echo "service.generate_http_headers is false, nginx SCGI module requires it to be set to true"
|
||||
exit 1
|
||||
else
|
||||
@@ -190,7 +189,7 @@ case $API in
|
||||
fi
|
||||
;;
|
||||
http) if [ "$SOCKET" != "" ]; then
|
||||
- if [ "$1" == "exit" ]; then
|
||||
+ if [ "$1" = "exit" ]; then
|
||||
echo "http is supported over TCP/IP only" ; exit 1
|
||||
else
|
||||
WEB_SERVER=""
|
||||
@@ -200,8 +199,8 @@ case $API in
|
||||
|
||||
;;
|
||||
*)
|
||||
- if [ "$1" == "exit" ]; then
|
||||
- echo "Mod $API is not supported by lightppd" ; exit 1
|
||||
+ if [ "$1" = "exit" ]; then
|
||||
+ echo "Mod $API is not supported by nginx" ; exit 1
|
||||
else
|
||||
WEB_SERVER=""
|
||||
return
|
||||
@@ -289,7 +288,7 @@ http {
|
||||
}
|
||||
EOF
|
||||
|
||||
-if [ "$API" == "fastcgi" ]; then
|
||||
+if [ "$API" = "fastcgi" ]; then
|
||||
|
||||
cat >>$CONFIG_FILE <<EOF
|
||||
|
||||
@@ -319,7 +318,7 @@ cat >>$CONFIG_FILE <<EOF
|
||||
}
|
||||
EOF
|
||||
|
||||
-elif [ "$API" == "scgi" ] ; then
|
||||
+elif [ "$API" = "scgi" ] ; then
|
||||
|
||||
cat >>$CONFIG_FILE <<EOF
|
||||
|
||||
@@ -370,8 +369,7 @@ WEB_SERVER="$WEB_SERVER -c $CONFIG_FILE"
|
||||
}
|
||||
|
||||
|
||||
-apache()
|
||||
-{
|
||||
+apache() {
|
||||
|
||||
locate_server apache2
|
||||
locate_server httpd2
|
||||
@@ -379,8 +377,8 @@ locate_server apache
|
||||
locate_server httpd $1
|
||||
|
||||
|
||||
-[ "$WEB_SERVER" == "" ] && return
|
||||
-if [ "$APACHE_MOD_DIR" == "" ] ; then
|
||||
+[ "$WEB_SERVER" = "" ] && return
|
||||
+if [ "$APACHE_MOD_DIR" = "" ] ; then
|
||||
for p in /usr/lib/apache2/modules \
|
||||
/usr/local/lib/apache2/modules \
|
||||
/opt/lib/apache2/modules \
|
||||
@@ -419,8 +417,8 @@ if [ "$APACHE_MOD_DIR" == "" ] ; then
|
||||
done
|
||||
fi
|
||||
|
||||
-if [ "$APACHE_MOD_DIR" == "" ] ; then
|
||||
- if [ "$1" == "exit" ] ; then
|
||||
+if [ "$APACHE_MOD_DIR" = "" ] ; then
|
||||
+ if [ "$1" = "exit" ] ; then
|
||||
echo "Can't find apache modules directory try specifing APACHE_MOD_DIR"
|
||||
exit 1;
|
||||
else
|
||||
@@ -430,8 +428,8 @@ if [ "$APACHE_MOD_DIR" == "" ] ; then
|
||||
fi
|
||||
|
||||
|
||||
-if ! [ -f "$APACHE_MOD_DIR/mod_fastcgi.$APACHE_MOD_EXT" ] && [ "$API" == "fastcgi" ]; then
|
||||
- if [ "$1" == "exit" ] ; then
|
||||
+if ! [ -f "$APACHE_MOD_DIR/mod_fastcgi.$APACHE_MOD_EXT" ] && [ "$API" = "fastcgi" ]; then
|
||||
+ if [ "$1" = "exit" ] ; then
|
||||
echo "Can't find apache fastcgi modue"
|
||||
exit 1
|
||||
else
|
||||
@@ -439,8 +437,8 @@ if ! [ -f "$APACHE_MOD_DIR/mod_fastcgi.$
|
||||
fi
|
||||
fi
|
||||
|
||||
-if ! [ -f "$APACHE_MOD_DIR/mod_scgi.$APACHE_MOD_EXT" ] && [ "$API" == "scgi" ]; then
|
||||
- if [ "$1" == "exit" ] ; then
|
||||
+if ! [ -f "$APACHE_MOD_DIR/mod_scgi.$APACHE_MOD_EXT" ] && [ "$API" = "scgi" ]; then
|
||||
+ if [ "$1" = "exit" ] ; then
|
||||
echo "Can't find apache scgi modue"
|
||||
exit 1
|
||||
else
|
||||
@@ -448,8 +446,8 @@ if ! [ -f "$APACHE_MOD_DIR/mod_scgi.$APA
|
||||
fi
|
||||
fi
|
||||
|
||||
-if ! [ -f "$APACHE_MOD_DIR/mod_proxy_http.$APACHE_MOD_EXT" ] && [ "$API" == "http" ]; then
|
||||
- if [ "$1" == "exit" ] ; then
|
||||
+if ! [ -f "$APACHE_MOD_DIR/mod_proxy_http.$APACHE_MOD_EXT" ] && [ "$API" = "http" ]; then
|
||||
+ if [ "$1" = "exit" ] ; then
|
||||
echo "Can't find apache proxy_http modue"
|
||||
exit 1
|
||||
else
|
||||
@@ -457,8 +455,8 @@ if ! [ -f "$APACHE_MOD_DIR/mod_proxy_htt
|
||||
fi
|
||||
fi
|
||||
|
||||
-if [ "$API" == "scgi" ] && [ "$SOCKET" != "" ]; then
|
||||
- if [ "$1" == "exit" ] ; then
|
||||
+if [ "$API" = "scgi" ] && [ "$SOCKET" != "" ]; then
|
||||
+ if [ "$1" = "exit" ] ; then
|
||||
echo "Apache2 supports scgi over tcp sockets only"
|
||||
exit 1
|
||||
else
|
||||
@@ -514,7 +512,7 @@ cat >$DIR/apache.conf << EOF
|
||||
LoadModule mime_module $APACHE_MOD_DIR/mod_mime.$APACHE_MOD_EXT
|
||||
EOF
|
||||
|
||||
-if [ "$API" == "fastcgi" ];
|
||||
+if [ "$API" = "fastcgi" ];
|
||||
then
|
||||
|
||||
|
||||
@@ -529,7 +527,7 @@ cat >>$DIR/apache.conf <<EOF
|
||||
EOF
|
||||
|
||||
|
||||
-elif [ "$API" == "scgi" ];
|
||||
+elif [ "$API" = "scgi" ];
|
||||
then
|
||||
|
||||
|
||||
@@ -538,7 +536,7 @@ cat >>$DIR/apache.conf <<EOF
|
||||
SCGIMount $SCRIPT $SERVICE_IP:$SERVICE_PORT
|
||||
EOF
|
||||
|
||||
-elif [ "$API" == "http" ];
|
||||
+elif [ "$API" = "http" ];
|
||||
then
|
||||
|
||||
|
||||
@@ -559,8 +557,7 @@ WEB_SERVER="$WEB_SERVER -f $DIR/apache.c
|
||||
|
||||
}
|
||||
|
||||
-find_param()
|
||||
-{
|
||||
+find_param() {
|
||||
if [ -e ./cppcms_config_find_param ]; then
|
||||
./cppcms_config_find_param $2 $1
|
||||
else
|
||||
@@ -568,8 +565,7 @@ find_param()
|
||||
fi
|
||||
}
|
||||
|
||||
-help()
|
||||
-{
|
||||
+help() {
|
||||
echo "Usage cppcms_run [-e] [ -S server ] [-p port] [-h host] \\"
|
||||
echo " [-r /document/root ] [-s /script ]"
|
||||
echo " program -c config.txt [ additional parameters ]"
|
||||
@@ -593,21 +589,21 @@ PORT=8080
|
||||
ROOT=`pwd`
|
||||
|
||||
while ! [ -e "$1" ] ; do
|
||||
- if [ "$1" == "-s" ] ; then
|
||||
+ if [ "$1" = "-s" ] ; then
|
||||
SCRIPT="$2"
|
||||
shift
|
||||
- elif [ "$1" == "-S" ] ; then
|
||||
+ elif [ "$1" = "-S" ] ; then
|
||||
TRY_SETUP="$2"
|
||||
shift
|
||||
- elif [ "$1" == "-h" ]; then
|
||||
+ elif [ "$1" = "-h" ]; then
|
||||
HOST="$2"
|
||||
shift
|
||||
- elif [ "$1" == "-p" ]; then
|
||||
+ elif [ "$1" = "-p" ]; then
|
||||
PORT="$2";
|
||||
shift
|
||||
- elif [ "$1" == "-e" ]; then
|
||||
+ elif [ "$1" = "-e" ]; then
|
||||
NO_APP=yes
|
||||
- elif [ "$1" == "-r" ]; then
|
||||
+ elif [ "$1" = "-r" ]; then
|
||||
ROOT="$2"
|
||||
shift
|
||||
else
|
||||
@@ -618,13 +614,13 @@ done
|
||||
|
||||
PROGRAM="$1"
|
||||
|
||||
-if [ "$2" != "-c" ] || [ "$3" == "" ] ; then
|
||||
+if [ "$2" != "-c" ] || [ "$3" = "" ] ; then
|
||||
help
|
||||
fi
|
||||
|
||||
APP_CONFIG_FILE="$3"
|
||||
|
||||
-if [ "$SCRIPT" == "" ] ; then
|
||||
+if [ "$SCRIPT" = "" ] ; then
|
||||
SCRIPT="/$PROGRAM"
|
||||
fi
|
||||
|
||||
@@ -636,17 +632,17 @@ SERVICE_PORT=`find_param $APP_CONFIG_FIL
|
||||
API=`find_param $APP_CONFIG_FILE service.api`
|
||||
HTTP_HEADERS=`find_param $APP_CONFIG_FILE service.generate_http_headers`
|
||||
|
||||
-if [ "$API" == "" ] ; then
|
||||
+if [ "$API" = "" ] ; then
|
||||
echo "Can't find service.api or service.socket in $APP_CONFIG_FILE"
|
||||
echo "Aborting"
|
||||
exit 1
|
||||
fi
|
||||
|
||||
-if [ "$SERVICE_IP" == "" ]; then
|
||||
+if [ "$SERVICE_IP" = "" ]; then
|
||||
SERVICE_IP=127.0.0.1
|
||||
fi
|
||||
|
||||
-if [ "$SOCKET" == "" ] && [ "$SERVICE_PORT" == "" ] ; then
|
||||
+if [ "$SOCKET" = "" ] && [ "$SERVICE_PORT" = "" ] ; then
|
||||
echo "Can't find service.socket or service.ip and service.port in $APP_CONFIG_FILE"
|
||||
echo "Aborting"
|
||||
exit 1
|
||||
@@ -682,9 +678,9 @@ if [ "$TRY_SETUP" != "" ]; then
|
||||
esac
|
||||
else
|
||||
lighttpd
|
||||
- [ "$WEB_SERVER" == "" ] && nginx
|
||||
- [ "$WEB_SERVER" == "" ] && apache
|
||||
- if [ "$WEB_SERVER" == "" ]; then
|
||||
+ [ "$WEB_SERVER" = "" ] && nginx
|
||||
+ [ "$WEB_SERVER" = "" ] && apache
|
||||
+ if [ "$WEB_SERVER" = "" ]; then
|
||||
echo "Can't find sutiable web server (nginx/lighttpd/apache)"
|
||||
echo "You may try to change PATH variable. In case of Apache2"
|
||||
echo "You may want to define APACHE_MOD_DIR variable"
|
||||
40
www/cppcms/patches/patch-booster_CMakeLists.txt
Normal file
40
www/cppcms/patches/patch-booster_CMakeLists.txt
Normal file
@@ -0,0 +1,40 @@
|
||||
$NetBSD: patch-booster_CMakeLists.txt,v 1.1 2013/10/04 18:27:48 joerg Exp $
|
||||
|
||||
--- booster/CMakeLists.txt.orig 2013-10-02 10:28:22.012853400 +0000
|
||||
+++ booster/CMakeLists.txt
|
||||
@@ -251,6 +251,7 @@ endif()
|
||||
|
||||
if(IS_WINDOWS)
|
||||
find_library(WS2_32 ws2_32)
|
||||
+ find_library(WSOCK32 wsock32)
|
||||
else()
|
||||
check_function_exists(socket HAVE_SOCKET)
|
||||
if(NOT HAVE_SOCKET)
|
||||
@@ -326,7 +327,7 @@ check_cxx_source_compiles(
|
||||
BOOSTER_HAVE_INTTYPES_H)
|
||||
|
||||
if(IS_WINDOWS)
|
||||
- set(CMAKE_REQUIRED_LIBRARIES ${WS2_32})
|
||||
+ set(CMAKE_REQUIRED_LIBRARIES ${WS2_32} ${WSOCK32})
|
||||
check_cxx_source_compiles(
|
||||
"#include <winsock2.h>
|
||||
#include <windows.h>
|
||||
@@ -531,9 +532,6 @@ foreach(ALIB ${LINK_LIBS})
|
||||
if(LIB_PTHREAD)
|
||||
target_link_libraries(${ALIB} ${LIB_PTHREAD})
|
||||
endif(LIB_PTHREAD)
|
||||
- if(WS2_32)
|
||||
- target_link_libraries(${ALIB} ${WS2_32})
|
||||
- endif()
|
||||
target_link_libraries(${ALIB} ${PCRE_LIB})
|
||||
|
||||
if(NOT DISABLE_ICU_LOCALE)
|
||||
@@ -556,6 +554,8 @@ foreach(ALIB ${LINK_LIBS})
|
||||
|
||||
if(IS_WINDOWS)
|
||||
target_link_libraries(${ALIB} psapi)
|
||||
+ target_link_libraries(${ALIB} ws2_32)
|
||||
+ target_link_libraries(${ALIB} wsock32)
|
||||
endif()
|
||||
|
||||
if(USE_STLPORT AND STLPORT_LIB)
|
||||
@@ -0,0 +1,17 @@
|
||||
$NetBSD: patch-booster_lib_locale_test_test__std__formatting.cpp,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- booster/lib/locale/test/test_std_formatting.cpp.orig 2013-07-02 19:33:35.000000000 +0000
|
||||
+++ booster/lib/locale/test/test_std_formatting.cpp
|
||||
@@ -153,10 +153,10 @@ void test_by_char(std::locale const &l,s
|
||||
|
||||
ss << as::currency << as::currency_iso;
|
||||
ss << 1043.34;
|
||||
- TEST(ss);
|
||||
+ TEST(!ss.bad());
|
||||
double v1;
|
||||
ss >> v1;
|
||||
- TEST(ss);
|
||||
+ TEST(!ss.bad());
|
||||
TEST(v1==1043.34);
|
||||
|
||||
ss_ref_type ss_ref;
|
||||
@@ -0,0 +1,12 @@
|
||||
$NetBSD: patch-booster_lib_system_src_posix__error.cpp,v 1.1 2013/10/04 18:27:48 joerg Exp $
|
||||
|
||||
--- booster/lib/system/src/posix_error.cpp.orig 2013-10-02 08:26:29.475306600 +0000
|
||||
+++ booster/lib/system/src/posix_error.cpp
|
||||
@@ -5,6 +5,7 @@
|
||||
// accompanying file LICENSE_1_0.txt or copy at
|
||||
// http://www.boost.org/LICENSE_1_0.txt)
|
||||
//
|
||||
+#define _GNU_SOURCE
|
||||
#define BOOSTER_SOURCE
|
||||
#include <booster/config.h>
|
||||
#include <booster/system_error.h>
|
||||
@@ -0,0 +1,92 @@
|
||||
$NetBSD: patch-cppcms__boost_cppcms__boost_detail_container__fwd.hpp,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- cppcms_boost/cppcms_boost/detail/container_fwd.hpp.orig 2010-05-14 13:53:44.000000000 +0000
|
||||
+++ cppcms_boost/cppcms_boost/detail/container_fwd.hpp
|
||||
@@ -12,12 +12,7 @@
|
||||
|
||||
#include <cppcms_boost/config.hpp>
|
||||
#include <cppcms_boost/detail/workaround.hpp>
|
||||
-
|
||||
-#if ((defined(__GLIBCPP__) || defined(__GLIBCXX__)) && defined(_GLIBCXX_DEBUG)) \
|
||||
- || CPPCMS_BOOST_WORKAROUND(__BORLANDC__, > 0x551) \
|
||||
- || CPPCMS_BOOST_WORKAROUND(__DMC__, CPPCMS_BOOST_TESTED_AT(0x842)) \
|
||||
- || (defined(__SGI_STL_PORT) || defined(_STLPORT_VERSION))
|
||||
-
|
||||
+#include <utility>
|
||||
#include <deque>
|
||||
#include <list>
|
||||
#include <vector>
|
||||
@@ -27,73 +22,4 @@
|
||||
#include <string>
|
||||
#include <complex>
|
||||
|
||||
-#else
|
||||
-
|
||||
-#include <cstddef>
|
||||
-
|
||||
-#if !defined(__SGI_STL_PORT) && !defined(_STLPORT_VERSION) && \
|
||||
- defined(__STL_CONFIG_H)
|
||||
-
|
||||
-#define CPPCMS_BOOST_CONTAINER_FWD_BAD_BITSET
|
||||
-
|
||||
-#if !defined(__STL_NON_TYPE_TMPL_PARAM_BUG)
|
||||
-#define CPPCMS_BOOST_CONTAINER_FWD_BAD_DEQUE
|
||||
-#endif
|
||||
-
|
||||
-#endif
|
||||
-
|
||||
-#if defined(CPPCMS_BOOST_CONTAINER_FWD_BAD_DEQUE)
|
||||
-#include <deque>
|
||||
-#endif
|
||||
-
|
||||
-#if defined(CPPCMS_BOOST_CONTAINER_FWD_BAD_BITSET)
|
||||
-#include <bitset>
|
||||
-#endif
|
||||
-
|
||||
-#if defined(CPPCMS_BOOST_MSVC)
|
||||
-#pragma warning(push)
|
||||
-#pragma warning(disable:4099) // struct/class mismatch in fwd declarations
|
||||
-#endif
|
||||
-
|
||||
-namespace std
|
||||
-{
|
||||
- template <class T> class allocator;
|
||||
- template <class charT, class traits, class Allocator> class basic_string;
|
||||
-
|
||||
-#if CPPCMS_BOOST_WORKAROUND(__GNUC__, < 3) && !defined(__SGI_STL_PORT) && !defined(_STLPORT_VERSION)
|
||||
- template <class charT> struct string_char_traits;
|
||||
-#else
|
||||
- template <class charT> struct char_traits;
|
||||
-#endif
|
||||
-
|
||||
- template <class T> class complex;
|
||||
-}
|
||||
-
|
||||
-// gcc 3.4 and greater
|
||||
-namespace std
|
||||
-{
|
||||
-#if !defined(CPPCMS_BOOST_CONTAINER_FWD_BAD_DEQUE)
|
||||
- template <class T, class Allocator> class deque;
|
||||
-#endif
|
||||
-
|
||||
- template <class T, class Allocator> class list;
|
||||
- template <class T, class Allocator> class vector;
|
||||
- template <class Key, class T, class Compare, class Allocator> class map;
|
||||
- template <class Key, class T, class Compare, class Allocator>
|
||||
- class multimap;
|
||||
- template <class Key, class Compare, class Allocator> class set;
|
||||
- template <class Key, class Compare, class Allocator> class multiset;
|
||||
-
|
||||
-#if !defined(CPPCMS_BOOST_CONTAINER_FWD_BAD_BITSET)
|
||||
- template <size_t N> class bitset;
|
||||
-#endif
|
||||
- template <class T1, class T2> struct pair;
|
||||
-}
|
||||
-
|
||||
-#if defined(CPPCMS_BOOST_MSVC)
|
||||
-#pragma warning(pop)
|
||||
-#endif
|
||||
-
|
||||
-#endif
|
||||
-
|
||||
#endif
|
||||
@@ -0,0 +1,36 @@
|
||||
$NetBSD: patch-cppcms__boost_cppcms__boost_interprocess_containers_container_container__fwd.hpp,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- cppcms_boost/cppcms_boost/interprocess/containers/container/container_fwd.hpp.orig 2010-05-14 13:53:00.000000000 +0000
|
||||
+++ cppcms_boost/cppcms_boost/interprocess/containers/container/container_fwd.hpp
|
||||
@@ -15,6 +15,8 @@
|
||||
# pragma once
|
||||
#endif
|
||||
|
||||
+#include <utility>
|
||||
+
|
||||
//////////////////////////////////////////////////////////////////////////////
|
||||
// Standard predeclarations
|
||||
//////////////////////////////////////////////////////////////////////////////
|
||||
@@ -32,22 +34,6 @@ namespace bi = cppcms_boost::intrusive;
|
||||
|
||||
}}}
|
||||
|
||||
-namespace std {
|
||||
-
|
||||
-template <class T>
|
||||
-class allocator;
|
||||
-
|
||||
-template <class T>
|
||||
-struct less;
|
||||
-
|
||||
-template <class T1, class T2>
|
||||
-struct pair;
|
||||
-
|
||||
-template <class CharType>
|
||||
-struct char_traits;
|
||||
-
|
||||
-} //namespace std {
|
||||
-
|
||||
/// @endcond
|
||||
|
||||
//////////////////////////////////////////////////////////////////////////////
|
||||
@@ -0,0 +1,22 @@
|
||||
$NetBSD: patch-cppcms__boost_cppcms__boost_interprocess_detail_managed__memory__impl.hpp,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- cppcms_boost/cppcms_boost/interprocess/detail/managed_memory_impl.hpp.orig 2010-05-14 13:53:01.000000000 +0000
|
||||
+++ cppcms_boost/cppcms_boost/interprocess/detail/managed_memory_impl.hpp
|
||||
@@ -673,7 +673,7 @@ class basic_managed_memory_impl
|
||||
template<class T>
|
||||
typename allocator<T>::type
|
||||
get_allocator()
|
||||
- { return mp_header->get_allocator<T>(); }
|
||||
+ { return mp_header-> template get_allocator<T>(); }
|
||||
|
||||
//!This is the default deleter to delete types T
|
||||
//!from this managed segment.
|
||||
@@ -688,7 +688,7 @@ class basic_managed_memory_impl
|
||||
template<class T>
|
||||
typename deleter<T>::type
|
||||
get_deleter()
|
||||
- { return mp_header->get_deleter<T>(); }
|
||||
+ { return mp_header-> template get_deleter<T>(); }
|
||||
|
||||
/// @cond
|
||||
//!Tries to find a previous named allocation address. Returns a memory
|
||||
@@ -0,0 +1,35 @@
|
||||
$NetBSD: patch-cppcms__boost_cppcms__boost_interprocess_interprocess__fwd.hpp,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- cppcms_boost/cppcms_boost/interprocess/interprocess_fwd.hpp.orig 2010-05-14 13:52:59.000000000 +0000
|
||||
+++ cppcms_boost/cppcms_boost/interprocess/interprocess_fwd.hpp
|
||||
@@ -19,6 +19,7 @@
|
||||
#include <cppcms_boost/interprocess/detail/workaround.hpp>
|
||||
|
||||
#include <cstddef>
|
||||
+#include <utility>
|
||||
|
||||
//////////////////////////////////////////////////////////////////////////////
|
||||
// Standard predeclarations
|
||||
@@ -35,22 +36,6 @@ namespace interprocess{
|
||||
namespace bi = cppcms_boost::intrusive;
|
||||
}}
|
||||
|
||||
-namespace std {
|
||||
-
|
||||
-template <class T>
|
||||
-class allocator;
|
||||
-
|
||||
-template <class T>
|
||||
-struct less;
|
||||
-
|
||||
-template <class T1, class T2>
|
||||
-struct pair;
|
||||
-
|
||||
-template <class CharType>
|
||||
-struct char_traits;
|
||||
-
|
||||
-} //namespace std {
|
||||
-
|
||||
/// @endcond
|
||||
|
||||
namespace cppcms_boost { namespace interprocess {
|
||||
13
www/cppcms/patches/patch-cppcms_string__key.h
Normal file
13
www/cppcms/patches/patch-cppcms_string__key.h
Normal file
@@ -0,0 +1,13 @@
|
||||
$NetBSD: patch-cppcms_string__key.h,v 1.1 2013/09/16 15:46:07 joerg Exp $
|
||||
|
||||
--- cppcms/string_key.h.orig 2013-09-16 15:24:39.524666221 +0000
|
||||
+++ cppcms/string_key.h
|
||||
@@ -248,7 +248,7 @@ namespace cppcms {
|
||||
///
|
||||
bool operator!=(string_key const &other) const
|
||||
{
|
||||
- return !(*this!=other);
|
||||
+ return !(*this==other);
|
||||
}
|
||||
|
||||
///
|
||||
25
www/cppcms/patches/patch-private_posix__util.h
Normal file
25
www/cppcms/patches/patch-private_posix__util.h
Normal file
@@ -0,0 +1,25 @@
|
||||
$NetBSD: patch-private_posix__util.h,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- private/posix_util.h.orig 2013-01-02 22:26:03.000000000 +0000
|
||||
+++ private/posix_util.h
|
||||
@@ -19,6 +19,20 @@
|
||||
#include <cppcms/cppcms_error.h>
|
||||
#include <booster/noncopyable.h>
|
||||
|
||||
+#ifdef __NetBSD__
|
||||
+static int
|
||||
+pthread_mutexattr_setpshared(pthread_mutexattr_t *, int)
|
||||
+{
|
||||
+ return -1;
|
||||
+}
|
||||
+
|
||||
+static int
|
||||
+pthread_rwlockattr_setpshared(pthread_rwlockattr_t *, int)
|
||||
+{
|
||||
+ return -1;
|
||||
+}
|
||||
+#endif
|
||||
+
|
||||
namespace cppcms {
|
||||
namespace impl {
|
||||
|
||||
13
www/cppcms/patches/patch-src_json.cpp
Normal file
13
www/cppcms/patches/patch-src_json.cpp
Normal file
@@ -0,0 +1,13 @@
|
||||
$NetBSD: patch-src_json.cpp,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- src/json.cpp.orig 2013-01-02 22:26:03.000000000 +0000
|
||||
+++ src/json.cpp
|
||||
@@ -785,7 +785,7 @@ namespace json {
|
||||
bool parse_number()
|
||||
{
|
||||
is_ >> real;
|
||||
- return is_;
|
||||
+ return is_.good() || is_.eof();
|
||||
}
|
||||
|
||||
};
|
||||
12
www/cppcms/patches/patch-src_util.cpp
Normal file
12
www/cppcms/patches/patch-src_util.cpp
Normal file
@@ -0,0 +1,12 @@
|
||||
$NetBSD: patch-src_util.cpp,v 1.1 2013/07/16 10:12:48 joerg Exp $
|
||||
|
||||
--- src/util.cpp.orig 2013-01-02 22:26:03.000000000 +0000
|
||||
+++ src/util.cpp
|
||||
@@ -10,6 +10,7 @@
|
||||
#include "http_protocol.h"
|
||||
#include <stdio.h>
|
||||
#include <iterator>
|
||||
+#include <ostream>
|
||||
#include "md5.h"
|
||||
#include "tohex.h"
|
||||
|
||||
Reference in New Issue
Block a user